# coding: utf-8

from __future__ import absolute_import
from __future__ import division
from __future__ import unicode_literals

from typing import FrozenSet, Iterator
from datetime import datetime

GEO_LOCATIONS: FrozenSet
DC_LOCATIONS: FrozenSet


def wait_minute() -> None: ...

def exponential_delay_generator(n: float) -> Iterator[float]:
    """
    Provides not more than fixed % delay overhead
    and generates O(log T) requests
    """
    ...

def get_current_timestamp() -> int: ...

def random_hexadecimal_string(length: int) -> str: ...

def connection_error(exception: Exception) -> bool: ...

def round_up(n: float, decimals: int = 0) -> float: ...

def get_datetime_timestamp(dt: datetime) -> int: ...
